OpenTTD Source: Data Fields

OpenTTD Source 15.0-beta1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - t -

- t : TownScopeResolver
- tab : VehicleDetailsWindow
- table : LeagueTableElement, SnowLine
- tabs : StringData
- tag : SaveLoadFormat
- TagNameFilter() : NetworkContentListWindow, NewGRFWindow
- tags : ContentInfo
- tar_file : ScriptInfo, ScriptScanner
- target : ListOrderChange, MpsMachine
- target_count : IndustryTypeBuildData
- targetairport : Aircraft
- TCPConnecter() : TCPConnecter
- TCPServerConnecter() : TCPServerConnecter
- te : BuildVehicleWindow
- tempo : MidiFile::TempoChange
- TEMPO_RATE : MpsMachine
- tempo_ticks : MpsMachine
- tempos : MidiFile
- terminals : AirportFTAClass
- terraform_frame_burst : ConstructionSettings
- terraform_limit : CompanyProperties
- terraform_per_64k_frames : ConstructionSettings
- terraform_tile_proc : TileTypeProcs
- TerraformToolbarEditorGlobalHotkeys() : ScenarioEditorLandscapeGenerationWindow
- TerraformToolbarGlobalHotkeys() : TerraformToolbarWindow
- terrain_type : DifficultySettings
- TestEmergency() : Gamelog
- TestMode() : Gamelog
- TestRevision() : Gamelog
- tex : OpenGLSprite
- TEX_REMAP : OpenGLSprite
- TEX_RGBA : OpenGLSprite
- text : AllowedSubtags, CargoSuffix, Goal, GRFText, Industry, LeagueTableElement, LoggedChangeRevision, NamePart, OskWindow, StoryPageElement, TextfileWindow::Line, Town
- text_btn : OskWindow
- text_colour : NWidgetCore
- text_dir : LanguagePackHeader
- text_lines : NWidgetPart::NWidgetPartUnion
- text_offset : SignListWindow
- text_position : AboutWindow
- text_size : NWidgetCore
- text_style : NWidgetPart::NWidgetPartUnion
- text_width : PerformanceLeagueWindow, ScriptLeagueWindow
- Textbuf() : Textbuf
- textref_stack : CommandCost, ErrorMessageData
- textref_stack_grffile : CommandCost, ErrorMessageData
- textref_stack_size : CommandCost, ErrorMessageData
- Texture : OpenGLSprite
- tgen_smoothness : GameCreationSettings
- thread : LinkGraphJob
- threaded_saves : GUISettings
- ThrowError() : Squirrel
- ti : AirportTileTable, HangarTileTable
- Tick() : Aircraft, DisasterVehicle, EffectVehicle
- tick : LoggedAction, NewGRFProfiler::Call
- Tick() : RoadVehicle, Ship, Train, Vehicle, VideoDriver
- tick_counter : Vehicle
- tick_proc : EffectProcs
- TickCounter : TimerGameTick
- tickdiv : MidiFile
- ticker_scroll_interval : StatusBarWindow
- TICKER_STOP : StatusBarWindow
- Ticks : TimerGameTick
- ticks : VideoDriver_Null
- TICKS_PER_SECOND : Ticks
- ticks_playing : NetworkServerGameInfo
- ticktime : MidiFile::DataBlock, MidiFile::TempoChange
- tile : AirportScopeResolver, AirportTileScopeResolver, BasePersistentStorageArray, CanalScopeResolver, DiagonalTileArea, FindDepotData, HouseScopeResolver, IndustriesScopeResolver, IndustryTileScopeResolver, ObjectScopeResolver, OrderBackup, OrthogonalTileArea, PBSTileInfo, RailTypeScopeResolver, RoadStopScopeResolver, RoadTypeScopeResolver, RoadVehPathElement, SpotData, StationScopeResolver
- Tile() : Tile
- tile : Tile
- Tile() : Tile
- tile : TileAndStation, TileInfo, TileIterator, Vehicle
- tile_count : StatueBuildSearchData
- tile_mask : Map
- tile_to_new_height : TerraformerState
- TileBelongsToIndustry() : Industry
- TileBelongsToRailStation() : BaseStation, Station, Waypoint
- tileflags : StationSpec
- TileFlags : StationSpec
- tileh : TileInfo
- TileIterator() : TileIterator
- TileMayHaveSlopedTrack() : RoadVehicle, Train
- tiles : AirportTileLayout
- tiles_scope : AirportTileResolverObject
- tiles_skipped : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- time : IConsoleLine, LinkProperties, NewGRFProfiler::Call, Script_Suspend
- time_since_pickup : GoodsEntry
- time_until_rebuild : Town
- timekeeping_units : EconomySettings
- timeout_timer : Window
- TimeoutTimer() : TimeoutTimer< TTimerType >
- times_longterm : FramerateWindow
- times_shortterm : FramerateWindow
- timestamps : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- timetable_arrival_departure : GUISettings
- timetable_duration : OrderList
- timetable_mode : GUISettings
- timetable_start : BaseConsist
- tiny_step_height : VehicleGroupWindow
- title : ExpensesList, FileToSaveLoad, HighScore, LeagueTable, SettingsPage, StoryPage
- to : LinkRefresher::Hop
- to_euro : CurrencySpec
- to_load_data : ScriptConfig
- ToDisplay() : UnitConversion
- ToggleFullscreen() : VideoDriver, VideoDriver_Allegro, VideoDriver_Cocoa, VideoDriver_Dedicated, VideoDriver_Null, VideoDriver_SDL, VideoDriver_SDL_Base, VideoDriver_Win32Base
- ToggleSelectedState() : ClientNetworkContentSocketHandler
- ToggleSortOrder() : GUIList< T, P, F >
- ToggleVsync() : VideoDriver, VideoDriver_SDL_OpenGL
- ToggleWidgetLoweredState() : Window
- token : ClientNetworkGameSocketHandler, ClientNetworkStunSocketHandler, ClientNetworkTurnSocketHandler, NetworkAskRelayWindow, NetworkDirectConnecter, NetworkReuseStunConnecter
- tool_tip : NWidgetCore
- toolbar_caption : RailTypeInfo, RoadTypeInfo
- toolbar_pos : GUISettings
- tooltip : ButtonCommon, NWidgetPartDataTip
- top : Blitter::BlitterParams, ParagraphLayouter::Position, ParentSpriteToDraw, TextfileWindow::Line, Viewport, ViewportSign, Window
- top_end : CargoesField
- total_advance : ICURun
- total_bytes : BaseNetworkContentDownloadStatusWindow
- total_duration : OrderList
- total_files : BaseNetworkContentDownloadStatusWindow
- total_size : CursorVars, PacketWriter
- total_width : CompanyInfrastructureWindow
- TotalCount() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >, StationCargoList, VehicleCargoList
- town : BaseStation, HouseScopeResolver, Industry, Object
- Town() : Town
- town : TownAuthorityWindow, TownViewWindow
- town_acceptance_effect : CargoSpec
- town_cargo_scale : EconomySettings
- town_cargogen_mode : EconomySettings
- town_cn : Depot, Waypoint
- town_council_tolerance : DifficultySettings
- town_growth_rate : EconomySettings
- TOWN_GROWTH_TICKS : Ticks
- town_id : ExternalTownData
- town_layout : EconomySettings, FoundTownWindow
- town_name : GameCreationSettings
- town_noise_population : EconomySettings
- town_production_cargoes : CargoSpec
- town_production_effect : CargoSpec
- town_production_multiplier : CargoSpec
- town_scope : AirportResolverObject, IndustriesResolverObject, ObjectResolverObject, RoadStopResolverObject, StationResolverObject, TownResolverObject
- town_size : FoundTownWindow
- townname_editbox : FoundTownWindow, TownDirectoryWindow
- TownNameParams() : TownNameParams
- townnameparts : FoundTownWindow
- TownNameSorter() : TownDirectoryWindow
- townnamevalid : FoundTownWindow
- TownPopulationSorter() : TownDirectoryWindow
- TownRatingSorter() : TownDirectoryWindow
- TownResolverObject() : TownResolverObject
- TownScopeResolver() : TownScopeResolver
- Tpf : CYapfBaseT< Types >, CYapfCostRailT< Types >, CYapfCostRegionT< Types >, CYapfCostRoadT< Types >, CYapfCostShipT< Types >, CYapfDestinationAnyDepotRailT< Types >, CYapfDestinationAnyDepotRoadT< Types >, CYapfDestinationAnySafeTileRailT< Types >, CYapfDestinationRegionT< Types >, CYapfDestinationTileOrStationRailT< Types >, CYapfDestinationTileRoadT< Types >, CYapfDestinationTileWaterT< Types >, CYapfFollowAnyDepotRailT< Types >, CYapfFollowAnySafeTileRailT< Types >, CYapfFollowRailT< Types >, CYapfFollowRegionT< Types >, CYapfFollowRoadT< Types >, CYapfFollowShipT< Types >, CYapfOriginRegionT< Types >, CYapfOriginTileT< Types >, CYapfOriginTileTwoWayT< Types >, CYapfRegion_TypesT< Tpf_, Tnode_list >, CYapfReserveTrack< Types >, CYapfSegmentCostCacheGlobalT< Types >, CYapfSegmentCostCacheNoneT< Types >, CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >
- track_ns : RailTypeInfo
- track_y : RailTypeInfo
- trackdir : PBSTileInfo, RoadVehPathElement, ShipPathElement
- TrackFollower : CYapfCostRoadT< Types >, CYapfDestinationAnySafeTileRailT< Types >, CYapfRegion_TypesT< Tpf_, Tnode_list >, CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >
- tracking_number : ClientNetworkTurnSocketHandler, NetworkDirectConnecter, NetworkReuseStunConnecter
- tracknr : MusicSongInfo
- tractive_effort : RailVehicleInfo, RoadVehicleInfo
- Train() : Train
- train_acceleration_model : VehicleSettings
- train_signal_side : ConstructionSettings
- train_slope_steepness : VehicleSettings
- train_station : BaseStation
- traininfo_vehicle_pitch : GRFFile
- traininfo_vehicle_width : GRFFile
- tram : GRFLoadedFeatures
- tram_speed : TileDesc
- tramtype : TileDesc
- tramtype_list : GRFFile
- TransferIn() : Packet
- TransferOut() : Packet
- TransferOutMemCopy() : PacketReader
- TransferOutWithLimit() : Packet
- transfers : CargoDataEntry
- TransferToNetworkQueue() : PacketWriter
- Translate() : Rect
- translated : LangString
- translated_cases : LangString
- translation : StringReader
- TranslationWriter() : TranslationWriter
- Transmit() : NetworkSurveyHandler
- transmitted : NetworkSurveyHandler
- transmitted_cv : NetworkSurveyHandler
- transparency : EffectProcs
- transport_name : BridgeSpec
- transported : Industry::ProducedHistory
- TransportTypeChar() : CYapfFollowAnyDepotRailT< Types >, CYapfFollowAnySafeTileRailT< Types >, CYapfFollowRailT< Types >, CYapfFollowRoadT< Types >, CYapfFollowShipT< Types >
- Trash() : Backup< T >
- travel_time : Order
- travel_time_sum : LinkGraph::BaseEdge
- travelled : CargoPacket
- TravelTime() : LinkGraph::BaseEdge
- TreatFirstRedTwoWaySignalAsEOL() : CYapfCostRailT< Types >
- tree_frame_burst : ConstructionSettings
- tree_limit : CompanyProperties
- tree_per_64k_frames : ConstructionSettings
- tree_placer : GameCreationSettings
- tree_to_plant : BuildTreesWindow
- triggers : AnimationInfo
- trip_occupancy : Vehicle
- truck_station : Station
- truck_stops : Station
- TrueTypeFontCache() : TrueTypeFontCache
- Truncate() : StationCargoList, VehicleCargoList
- truncate_interval : IConsoleWindow
- trusted : TextfileWindow
- try_execute_active : CrashLogOSX, CrashLogUnix, CrashLogWindows
- TryBuildNewIndustry() : IndustryBuildData
- TryExecute() : CrashLog, CrashLogOSX, CrashLogUnix, CrashLogWindows
- TryMerge() : CargoList< Tinst, Tcont >
- TryNextAddress() : TCPConnecter
- TryPop() : HashTable< Titem, Thash_bits_ >
- TryReservePath() : CYapfReserveTrack< Types >
- TryReverse() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- ttd_airport_type : AirportSpec
- tunnel : RailTypeInfo, RoadTypeInfo
- Turn() : ClientNetworkTurnSocketHandler
- turn_counter : Aircraft
- turn_handlers : ClientNetworkCoordinatorSocketHandler
- type : Airport, AllowedSubtags, BaseVehicle, BuildDepotVehicleListData, CargoesField, CheatEntry, ChunkHandler, CommandInfo, ContentInfo
- Type : Driver
- type : DriverFactoryBase, EconomySettings, Engine, EngineIDMapping, Goal, GRFParameterInfo, IndustriesScopeResolver, Industry, IniGroup, LegendAndColour, LoggedChangeOldVersion, NewsItem, NWidgetBase, NWidgetPart, Object, OldChunks, OptionData, Order, PoolBase, RoadStopScopeResolver, ServerAddress, SettingFilter, SpriteCache, SpriteLoader::Sprite, StoryPageElement, StringParameter, Tile::TileBase, Tile, TownNameParams, UnmappedChoiceList, VehicleListIdentifier
- type_editbox : PickerWindow
- type_hides : SettingFilter
- type_last_filtering : PickerCallbacks
- type_last_sorting : PickerCallbacks
- TypeOrSelectedFilter() : NetworkContentListWindow
- types : ContentListFilterData
- Types : CYapfRegion_TypesT< Tpf_, Tnode_list >, CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >
- types : PickerWindow
- TypeSorter() : NetworkContentListWindow